# Bulk Envelope File

 - [GET /api/v1/organizations/{organizationId}/bulk-envelopes/{bulkEnvelopeId}/files](https://docs.namirial.app/it/products/namirialsignenterprise/openapi3/bulk-envelope-file/listbulkenvelopefiles.md): Returns the files of the specified bulk-envelope.
 - [POST /api/v1/organizations/{organizationId}/bulk-envelopes/{bulkEnvelopeId}/files](https://docs.namirial.app/it/products/namirialsignenterprise/openapi3/bulk-envelope-file/uploadbulkenvelopefile.md): Adds a new file to the specified bulk-envelope. The request body provides the file content (multipart/form-data) and, optionally, an initial document class assignment. Metadata values for the document
 - [PATCH /api/v1/organizations/{organizationId}/bulk-envelopes/{bulkEnvelopeId}/files](https://docs.namirial.app/it/products/namirialsignenterprise/openapi3/bulk-envelope-file/reorderbulkenvelopefiles.md): Reorders the files of the specified bulk-envelope.
 - [GET /api/v1/organizations/{organizationId}/bulk-envelopes/{bulkEnvelopeId}/files/{fileId}](https://docs.namirial.app/it/products/namirialsignenterprise/openapi3/bulk-envelope-file/getbulkenvelopefiledetail.md): Returns the properties of a specific bulk-envelope file, including the assigned document class and its metadata values. Does not include the file content.
 - [PUT /api/v1/organizations/{organizationId}/bulk-envelopes/{bulkEnvelopeId}/files/{fileId}](https://docs.namirial.app/it/products/namirialsignenterprise/openapi3/bulk-envelope-file/updatebulkenvelopefiledetail.md): Updates the properties of a specific bulk-envelope file. Currently supports assigning a document class with metadata values. Does not modify the file content.
 - [DELETE /api/v1/organizations/{organizationId}/bulk-envelopes/{bulkEnvelopeId}/files/{fileId}](https://docs.namirial.app/it/products/namirialsignenterprise/openapi3/bulk-envelope-file/deletebulkenvelopefile.md): Deletes a specific file from the specified bulk-envelope.
